diff options
author | Natanael Copa <ncopa@alpinelinux.org> | 2014-01-07 07:59:53 +0000 |
---|---|---|
committer | Natanael Copa <ncopa@alpinelinux.org> | 2014-01-07 08:56:41 +0000 |
commit | a96582b446211fcc07725f3b19240f01863b0354 (patch) | |
tree | 3a8c2a7ed0ee328c6fd986d51240fec30ff5127f /main/quagga/bgpd.initd | |
parent | ac131f247b8c338fb3925ed1222c2666419fca60 (diff) | |
download | aports-a96582b446211fcc07725f3b19240f01863b0354.tar.bz2 aports-a96582b446211fcc07725f3b19240f01863b0354.tar.xz |
main/quagga: create /var/run/quagga at startup
and refactor the scripts while at it
ref #2294
Diffstat (limited to 'main/quagga/bgpd.initd')
-rw-r--r-- | main/quagga/bgpd.initd | 38 |
1 files changed, 13 insertions, 25 deletions
diff --git a/main/quagga/bgpd.initd b/main/quagga/bgpd.initd index 92ed536f3d..4607a2ad13 100644 --- a/main/quagga/bgpd.initd +++ b/main/quagga/bgpd.initd @@ -1,34 +1,22 @@ #!/sbin/runscript -# Copyright 1999-2003 DataCore GmbH, Amir Guindehi -# Distributed under the terms of the GNU General Public License, v2 or later -# $Header: /var/cvsroot/gentoo-x86/net-misc/quagga/files/bgpd.init,v 1.1 2005/09/14 11:11:08 mrness Exp $ + +piddir=/var/run/quagga +pidfile=$piddir/$SVCNAME.pid +command=/usr/sbin/$SVCNAME +command_args="-d -f /etc/quagga/$SVCNAME.conf --pid_file $pidfile" depend() { need net zebra after firewall opennhrp } -checkconfig() { - if [ ! -e /etc/quagga/bgpd.conf ] ; then - eerror "You need to create /etc/quagga/bgpd.conf first." - eerror "An example can be found in /etc/quagga/samples/bgpd.conf.sample" - return 1 - fi -} - -start() { - checkconfig || return 1 - ebegin "Starting bgpd" - start-stop-daemon --start --quiet --exec /usr/sbin/bgpd \ - -- -d -f /etc/quagga/bgpd.conf \ - --pid_file /var/run/quagga/bgpd.pid - result=$? - eend $result +start_pre() { + if ! [ -e /etc/quagga/$SVCNAME.conf ] ; then + eerror "You need to create /etc/quagga/$SVCNAME.conf first." + eerror "An example can be found in /usr/share/doc/quagga/$SVCNAME.conf.sample" + eerror "from quagga-doc package" + return 1 + fi + checkpath --owner quagga:quagga --directory $piddir } -stop() { - ebegin "Stopping bgpd" - start-stop-daemon --stop --quiet --pidfile /var/run/quagga/bgpd.pid - result=$? - eend $result -} |